MozillaZine

ActiveX

From MozillaZine Knowledge Base

The Mozilla ActiveX plugin is obsolete and can cause crashes or other problems in Firefox and SeaMonkey. It was added to the Mozilla Blocklist on June 7, 2012. [1]


ActiveX is the system Internet Explorer uses in place of the NPAPI system that all other browsers use to embed other applications inside themselves. Some sites explicitly specify the use of an ActiveX control (generally, for Windows Media Player) and will not render in a browser without ActiveX support. For this reason, a third-party ActiveX plugin that adds partial ActiveX support to some Mozilla-based browsers has been created.

Contents

Installing the ActiveX plugin on Windows

An ActiveX plugin version for Firefox 2 and above is not currently available. You should not install a different version and you should remove the ActiveX plugin if the wrong version is already installed.

  • Install the correct version of the Mozilla ActiveX plugin from here.
    • Firefox 1.5.0.x: Install the plug-in for Firefox 1.5.
    • All other Firefox releases: Install the plug-in for your specific version of Firefox.
    • Seamonkey 1.0: Install the plug-in for Firefox 1.5.[2].
  • Restart the browser.

Warnings

  • If you use the Adblock extension, you may need to disable the Obj-Tabs setting, depending on your browser version. Otherwise, the ActiveX plugin will run almost any ActiveX control regardless of how it is configured. This issue is fixed in current Mozilla browsers (see bug 340852 for details).
  • For some versions of the ActiveX plugin, the Flash plugin will not load unless it was already loaded after you install the ActiveX plugin. You will need to reload the plugins by typing about:plugins into your Location Bar upon starting Firefox.
  • If you later update your browser, the ActiveX plugin will likely remain installed and it may not be compatible with the new browser version. You should uninstall the ActiveX plugin before upgrading your browser or remove it if it is already installed, unless it is known to work with the next version.

Uninstalling the ActiveX plugin on Windows

  • Close all instances of your browser.
  • Go to the installation directory (e.g., C:\Program Files\Mozilla Firefox).
  • Go into the "plugins" folder and delete the file "npmozax.dll".
  • Go back to the installation directory, and then go into the "components" folder, and delete the files "nsIMozAxPlugin.xpt" and "nsAxSecurityPolicy.js".
  • Go back to the installation directory, open the "defaults" folder, then open the "pref" folder and delete the file "activex.js".

Linux (x86)

Recent versions of CrossOver Office ship with the Mozilla ActiveX plugin, but don't expect it to work as well as it would on Windows.

See also

External links